petsc-3.7.1 2016-05-15
Report Typos and Errors

# MATAIJPERM

MATAIJPERM = "AIJPERM" - A matrix type to be used for sparse matrices. This matrix type is identical to MATSEQAIJPERM when constructed with a single process communicator, Many brand MATMPIAIJPERM otherwise. As a result, for single process communicators, Many brMatSeqAIJSetPreallocation() is supported, and similarly MatMPIAIJSetPreallocation() is supported Many brfor communicators controlling multiple processes. It is recommended that you call both of Many brthe above preallocation routines for simplicity. Many br

### Options Database Keys

-mat_type aijperm -sets the matrix type to "AIJPERM" during a call to MatSetFromOptions() Many br

Many br

### See Also

MatCreateMPIAIJPERM(), MATSEQAIJPERM, MATMPIAIJPERM

Level:beginner
Location:src/mat/impls/aij/mpi/csrperm/mpicsrperm.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages